Bug 1186345 - Review Request: golang-github-influxdb-rocksdb - Go wrapper for RocksDB
Summary: Review Request: golang-github-influxdb-rocksdb - Go wrapper for RocksDB
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1161618
TreeView+ depends on / blocked
 
Reported: 2015-01-27 13:43 UTC by Jan Chaloupka
Modified: 2015-02-07 04:04 UTC (History)
1 user (show)

Fixed In Version: golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-07 04:00:46 UTC
Type: ---
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-01-27 13:43:20 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-influxdb-rocksdb/golang-github-influxdb-rocksdb.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-influxdb-rocksdb/golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc20.src.rpm

Description: Go wrapper for RocksDB

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8736922

$ rpmlint golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc20.src.rpm golang-github-influxdb-rocksdb-devel-0-0.1.git7adff3e.fc20.noarch.rpm golang-github-influxdb-rocksdb.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Upstream: https://github.com/influxdb/rocksdb

Notes: go test does not pass because there is not rocksdb in Fedora. This is only a wrapper without database itself.

Comment 1 Lokesh Mandvekar 2015-01-27 17:53:27 UTC
- license correct and valid
- specfile conforms to current golang packaging draft
- only sources installed for now.

TBD: rocksdb may need to be packaged at a later point though it's not a blocker as far as getting the sources packaged are concerned.


package approved.

Comment 2 Jan Chaloupka 2015-01-27 18:00:51 UTC
New Package SCM Request
=======================
Package Name: golang-github-influxdb-rocksdb
Short Description: Go wrapper for RocksDB
Upstream URL: https://github.com/influxdb/rocksdb
Owners: jchaloup lsm5
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-01-28 11:59:13 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-01-29 09:32:27 UTC
golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc20

Comment 5 Fedora Update System 2015-01-29 09:33:33 UTC
golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc21

Comment 6 Fedora Update System 2015-01-30 04:33:23 UTC
golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2015-02-07 04:00:46 UTC
golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc21 has been pushed to the Fedora 21 stable repository.

Comment 8 Fedora Update System 2015-02-07 04:04:46 UTC
golang-github-influxdb-rocksdb-0-0.1.git7adff3e.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.